---
title: Debugging Firefox for Android with WebIDE
slug: Tools/Remote_Debugging/Debugging_Firefox_for_Android_with_WebIDE_clone
tags:
  - Debugging
  - Guide
  - Tools
---
<div>{{ToolsSidebar}}</div><p>This article describes how to connect the <a href="/en-US/docs/Tools">Firefox Developer Tools</a> to Firefox for Android from Firefox 36 onwards.</p>

<p>It's been possible for a long time to connect the Firefox Developer Tools to Firefox for Android so you can debug your mobile website. Until now, though, this was a fairly complex and error-prone process. From Firefox 36 we've made the process much simpler: in particular, you don't need to deal directly with the <a href="http://developer.android.com/tools/help/adb.html">adb</a> tool at all. Now you connect using  <a href="/en-US/docs/Tools/WebIDE">WebIDE</a>, which takes care of setting up adb behind the scenes.</p>

<div class="note">
<p>For this to work, you need at least Firefox 36 on the desktop and Firefox 35 on the mobile device. If you need to use an earlier version, see the older instructions for <a href="/en-US/docs/Tools/Remote_Debugging/Firefox_for_Android">connecting the developer tools to Firefox for Android</a>.</p>
</div>


<p><img alt="" src="https://mdn.mozillademos.org/files/9011/remote-debugging-overview-fx36.png" style="display: block; margin-left: auto; margin-right: auto;"></p>

<p>This guide is split into two parts: the first part, "Prerequisites", covers stuff you only need to do once, while the second part, "Connecting", covers stuff you need to do each time you connect the device.</p>

<h2 id="Prerequisites">Prerequisites</h2>

<p>First, you'll need:</p>

<ul>
 <li>a desktop or laptop computer with Firefox 36 or higher running on it</li>
 <li>an Android device <a class="external external-icon" href="https://support.mozilla.org/en-US/kb/will-firefox-work-my-mobile-device">capable of running Firefox for Android</a> with Firefox for Android 35 or higher running on it</li>
 <li>a USB cable to connect the two devices</li>
</ul>

<h3 id="ADB_Helper">ADB Helper</h3>

<p>Your desktop Firefox also needs to have the ADB Helper add-on, version 0.7.1 or higher. This should be installed for you automatically the first time you open WebIDE. To check the version, type <code>about:addons</code> into the browser's address bar and you should see ADB listed.</p>

<p>If you don't have ADB Helper version 0.7.1 or higher, select "Manage Extra Components" from the "Projects" menu, and you'll see the "Extra Components" window, which will contain an entry for ADB Helper:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/9021/extra-components.png" style="display: block; margin-left: auto; margin-right: auto;">Click "uninstall", then "install", and you should now have the latest version.</p>

<h3 id="Setting_up_the_Android_device">Setting up the Android device</h3>

<p>First, enable USB debugging by following <a class="external external-icon" href="http://developer.android.com/guide/developing/device.html#setting-up">steps 2 and 3 of this link only</a>.</p>

<p>Next, enable remote debugging in Firefox for Android. Open the browser, open its menu, select "Settings", then "Developer tools" (on some Android devices you may need to select "More" to see the "Settings" option). Check the "Remote debugging" box:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/5829/remote-debugging-device-enable.png" style="display: block; margin-left: auto; margin-right: auto;"></p>

<p>The browser might display a notification reminding you to set up port forwarding, which you can ignore.</p>

<h2 id="Connecting">Connecting</h2>

<p>Connect the Android device to the desktop with the USB cable, open <a href="/en-US/docs/Tools/WebIDE">WebIDE</a>, and open the <a href="/en-US/docs/Tools/WebIDE#Setting_up_runtimes">"Runtimes" menu</a>. You will see Firefox for Android listed as a debugging target under "USB DEVICES":</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/9013/remote-debugging-android-runtime.png" style="display: block; margin-left: auto; margin-right: auto;"></p>

<p>Select it. On the Android device, you'll now see a warning message:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/9031/incoming-warning.png" style="display: block; margin-left: auto; margin-right: auto;"></p>

<p>Click OK. Now click the "Open App" menu in WebIDE. You'll see a list of all the tabs open on the device:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/9015/remote-debugging-android-open-tabs.png" style="display: block; margin-left: auto; margin-right: auto;"></p>

<p>Select a tab to attach the developer tools to it:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/9029/remote-debugging-android-attached.png" style="display: block; margin-left: auto; margin-right: auto;"></p>

<p>Now you should be able to use all the Firefox developer tools that support remote debugging. See the page on <a href="/en-US/docs/Tools/Remote_Debugging">remote debugging</a> for more details.</p>
